% Script to estimate K and Ss using Hvorlsev method
%
% Copyright: Evangelos Rozos
% Created: December 2012

% Read configuration file 
configure

% Get problem properties and measurements and share with opt. function
load ../constants.txt
rs=constants(1); rc=constants(2); b=constants(3);
Measurements=dlmread('../Measurements.csv', delimiter);

Nozero=Measurements(:,2)>0;
p=polyfit(Measurements(Nozero,1), log(Measurements(Nozero,2)), 1);
K=-p(1)*rc^2*log(200)/2/b*86400;
fprintf('K=%e m/d\n', K)
