% Calculate H/Ho using Koussis & Akylas quasisteady method.
% slugtest measurements
%
% Copyright: Evangelos Rozos
% Created: December 2012

function  [HbHo Beta] = quasisteadycurves(Ss, rs, b, rc)

% Storage parameter
alpha=rs^2 * Ss * b/ rc^2;

% Increaments of ratio R/rs
Y = 1.015.^(0:2153);

% Mass conservation equation (A1)
Fy = (Y.^2 - 2 * log(Y) -1) ./ (2 * log (Y)); Fy(1)=0;

% H(beta)/Ho ratio
HbHo = 1./(alpha * Fy +1);

% Delta beta (A3)
Db = -log( (Y(1:end-1)+ Y(2:end)) /2);
Db = Db/2 .* (log(HbHo(2:end))-log(HbHo(1:end-1)));

% Betas
Beta=cumsum(Db);
Beta=[1e-10 Beta]; 
